-- View scripts 
-- Copyright (C) 2004, Eagle Dynamics.

--/////////////////////////////////////// Global Pilot View parameters - Start - PeterP ////////////////////////////////

local GlobalEyePoint = {0.16, 0.1, 0.0} -- {front/back , up/down , left/right} <- 'neck dimension' in meters 
local GlobalCameraViewAngleLimits = {20,160} -- {min horiz. FOV in °, max horiz. FOV in °}  <- aka Zoom
local GlobalCameraAngleLimits = {190,-75,115} -- {Max head turning to back, max down , max up} <- in °
local GlobalShoulderSize = 0.15 -- move body when azimuth value more then 90 degrees 
local GlobalShoulderSize_for_not_full_3D_Cockpit = 0  -- 0 = OFF - set to > GlobalShoulderSize = 0.15 or 0.2 < to turn it ON in the non fully 3D cockpits of FC3. Keep in mind that the 2D seat texture will look strange.

--/////////////////////////////////////// Global Pilot View parameters - End - PeterP //////////////////////////////////

DisableCombatViews				= false -- F5 & Ctrl-F5
ExternalObjectsLockDistance 	= 10000.0
ShowTargetInfo 					= false
CameraTerrainRestriction 		= true
hAngleRearDefault 				=  180
vAngleRearDefault 				= -8.0
vAngleRearMin    				= -90 -- -8.0
vAngleRearMax    				= 90.0

dbg_shell    = "weapons.shells.2A64_152" -- 23mm shell
-- dbg_shell    = "weapons.shells.2A64_152" -- 152mm shell
dbg_shell_v0 = -1 -- Muzzle speed m/s (-1 - speed from shall database)

function default_fighter_player(t)
	local res = { 
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		EyePoint               = GlobalEyePoint,
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		ShoulderSize 		   = GlobalShoulderSize, 
	}
	if t then 
		for i,o in pairs(t) do
			res[i] = o
		end
	end
	return res
end

ViewSettings = {}
ViewSettings["A-10A"] = {
	Cockpit = {  
	[1] = default_fighter_player({	
		CockpitLocalPoint 	  = {4.3,1.282,0},
		limits_6DOF 		  = {	x	 = {-0.05,0.50},
									y	 = {-0.25,0.12},
									z	 = {-0.24,0.24},
									roll = 90}}),
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {0.600000,3.682000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-27.000000,12.000000,0.000000},
		AnglesDefault   = {0.000000,-12.000000},
	}, -- Arcade 
}
ViewSettings["A-10C"] = {
	Cockpit = {  
	[1] = default_fighter_player({	
		CockpitLocalPoint 	   = {4.3,1.282,0},
		limits_6DOF 		   = {	x 	 = {-0.05,0.50},
									y	 = {-0.25,0.12},
									z 	 = {-0.24,0.24},
									roll = 90}}),
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {0.600000,3.682000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-27.000000,12.000000,0.000000},
		AnglesDefault   = {0.000000,-12.000000},
	}, -- Arcade 
}
ViewSettings["F-15C"] = {
	Cockpit = {  
	[1] = default_fighter_player({	
		CockpitLocalPoint 	   = {6.21,1.204,0},
		limits_6DOF 		   = {	x 	 = {-0.05,0.45},
									y	 = {-0.3,0.1},
									z	 = {-0.22,0.22},
									roll = 90}}),
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {2.510000,3.604000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-13.790000,6.204000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["Ka-50"] = {
	Cockpit = {
	[1] = default_fighter_player({	
		CockpitLocalPoint 	   = {3.188,0.39,0},
		limits_6DOF 		   = {	x 	 = {-0.18,0.32},
									y 	 = {-0.18,0.12},
									z 	 = {-0.24,0.24},
									roll = 90}}),
	}, -- Cockpit  
	Chase = {
		LocalPoint      = {-0.512000,2.790000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-16.812000,5.390000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["MiG-29A"] = {
	Cockpit = {
	[1] = {-- player slot 1
		CockpitLocalPoint      = {4.920000,1.350000,0.000000},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x 	 = {-0.17,0.20},
									y 	 = {-0.14,0.08},
									z	 = {-0.17,0.17},
									roll = 90.000000},
		ShoulderSize 		   = GlobalShoulderSize_for_not_full_3D_Cockpit,
	},
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {1.220000,3.750000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-15.080000,6.350000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["MiG-29G"] = {
	Cockpit = {
	[1] = {-- player slot 1
		CockpitLocalPoint      = {4.920000,1.350000,0.000000},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x 	 = {-0.17,0.20},
									y 	 = {-0.14,0.08},
									z  	 = {-0.17,0.17},
									roll = 90.000000},
		ShoulderSize 		   = GlobalShoulderSize_for_not_full_3D_Cockpit,
	},
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {1.220000,3.750000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-15.080000,6.350000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["MiG-29K"] = {
	Cockpit = {
	[1] = {-- player slot 1
		CockpitLocalPoint      = {4.900000,1.254000,0.000000},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x 	 = {-0.17,0.20},
									y 	 = {-0.14,0.08},
									z 	 = {-0.17,0.17},
									roll = 90.000000},
		ShoulderSize 		   = GlobalShoulderSize_for_not_full_3D_Cockpit,
	},
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {1.200000,3.654000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-15.100000,6.254000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["MiG-29S"] = {
	Cockpit = {
	[1] = {-- player slot 1
		CockpitLocalPoint      = {4.920000,1.350000,0.000000},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x 	 = {-0.17,0.20},
									y 	 = {-0.14,0.08},
									z 	 = {-0.17,0.17},
									roll = 90.000000},
		ShoulderSize 		   = GlobalShoulderSize_for_not_full_3D_Cockpit,
	},
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {1.220000,3.750000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-15.080000,6.350000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["P-51D"] = {
	Cockpit = {
	[1] = default_fighter_player({
		CockpitLocalPoint 	   = {-1.5,0.618,0},
		limits_6DOF 		   = {  x	 = {0.0,0.40},
									y	 = {-0.12,0.17},
									z	 = {-0.16,0.16},
									roll = 90}}),
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {0.200000,-0.652000,-0.650000},
		AnglesDefault   = {0.000000,0.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-21.500000,5.618000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["Su-25"] = {
	Cockpit = {
	[1] = default_fighter_player({
		CockpitLocalPoint		= {3.352,0.506,0},
				limits_6DOF 	= {	x	 = {-0.05,0.36},
									y	 = {-0.20,0.08},
									z	 = {-0.20,0.20},
									roll = 90}}),
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {-0.348000,2.906000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-16.648001,5.506000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["Su-25T"] = {
	Cockpit = {
	[1] = {-- player slot 1
		CockpitLocalPoint      = {3.906, 0.466, 0.0},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x	 = {-0.25,0.2},
									y	 = {-0.12,0.15},
									z	 = {-0.20,0.20},
									roll = 90.000000},
		ShoulderSize 		   = GlobalShoulderSize_for_not_full_3D_Cockpit,
	},
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {-0.294000,2.866000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-16.594000,5.466000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["Su-25TM"] = {
	Cockpit = {
	[1] = {-- player slot 1
		CockpitLocalPoint      = {4.000000,1.000000,0.000000},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x 	 = {-0.25,0.2},
									y	 = {-0.12,0.15},
									z	 = {-0.20,0.20},
									roll = 90.000000},
		ShoulderSize 		   = GlobalShoulderSize_for_not_full_3D_Cockpit,
		
	},
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {4.000000,2.000000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {4.000000,2.000000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["Su-27"] = {
	Cockpit = {
	[1] = default_fighter_player({
		CockpitLocalPoint	   = {7.959,1.419,0},
		limits_6DOF 		   = {	x 	 = {-0.05,0.38},
									y 	 = {-0.17,0.08},
									z  	 = {-0.17,0.17},
									roll = 90}}),
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {4.259000,3.819000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-12.041000,6.419000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["Su-33"] = {
	Cockpit = {
	[1] = {-- player slot 1
		CockpitLocalPoint      = {8.350000,1.350000,0.000000},  -- {7.98,1.480000,0.000000}, << when using Su-27 cockpit
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		Allow360rotation	   = false,
		CameraAngleLimits      = GlobalCameraAngleLimits,
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x 	 = {-0.18,0.22},
									y	 = {-0.17,0.08},
									z	 = {-0.17,0.17},
									roll = 90}, -- {x = {-0.1,0.36},y ={-0.17,0.08},z = {-0.17,0.17},roll = 90}, << when using Su-27 cockpit
		ShoulderSize 		   = GlobalShoulderSize_for_not_full_3D_Cockpit,
	},
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {4.650000,3.750000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-11.650000,6.350000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
ViewSettings["UH-1H"] = {
	Cockpit = {
	[1] = default_fighter_player({
		CockpitLocalPoint	  = {0,0,0},
		limits_6DOF 		  = {	x 	 = {-0.2,0.4},
									y	 = {-0.2,0.18},
									z	 = {-0.2,0.8},
									roll = 90}}),
	
	[2] = default_fighter_player({-- player slot 2
		CockpitLocalPoint	 = {0,0,0},
		limits_6DOF 		 = {	x 	 = {-0.2,0.4},
									y	 = {-0.2,0.18},
									z	 = {-0.2,0.8},
									roll = 90}}),

	[3] = {-- player slot 3
		CockpitLocalPoint      = {0.000000,0.000000,0.000000},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		CameraAngleLimits      = {120,-90,15},
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x	 = {-0.200000,0.500000},
									y	 = {-0.200000,0.350000},
									z	 = {0.300000,0.800000},
									roll = 90.000000},
	},
	
	[4] = {-- player slot 4
		CockpitLocalPoint      = {0.000000,0.000000,0.000000},
		CameraViewAngleLimits  = GlobalCameraViewAngleLimits,
		CameraAngleRestriction = {false,130.00,0.90},
		CameraAngleLimits      = {120,-90,15},
		EyePoint               = GlobalEyePoint,
		limits_6DOF            = {	x	 = {-0.200000,0.500000},
									y	 = {-0.200000,0.350000},
									z	 = {-0.800000,-0.300000},
									roll = 90.000000},
	},
	
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {-3.700000,2.400000,0.000000},
		AnglesDefault   = {180.000000,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-20.000000,5.000000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}

ViewSettings["Mi-8MT"] = {
	Cockpit = {
	[1] = default_fighter_player({
		CockpitLocalPoint	  = {0,0,0},
		limits_6DOF 		  = {	x 	 = {-0.2,0.37},
									y	 = {-0.2,0.18},
									z	 = {-0.8,0.4},
									roll = 90}}),
	
	[2] = default_fighter_player({-- player slot 2
		CockpitLocalPoint	 = {0,0,0},
		limits_6DOF 		 = {	x 	 = {-0.2,0.38},
									y	 = {-0.2,0.18},
									z	 = {-0.5,0.8},
									roll = 90}}),

	[3] = default_fighter_player({-- player slot 3
		CockpitLocalPoint	 = {0,0,0},
		limits_6DOF 		 = {	x 	 = {-0.2,0.38},
									y	 = {-0.2,0.18},
									z	 = {-0.4,0.4},
									roll = 90}}),
	
	}, -- Cockpit 
	Chase = {
		LocalPoint      = {-5.700000,1.400000,-3},
		AnglesDefault   = {0,-8.000000},
	}, -- Chase 
	Arcade = {
		LocalPoint      = {-20.000000,5.000000,0.000000},
		AnglesDefault   = {0.000000,-8.000000},
	}, -- Arcade 
}
